# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vlWin32 Namespace Reference

The Win32 bindings namespace. More...

## Classes
class | Win32Context
| The Win32Context class implements an OpenGLContext using the Win32 API. More...
class | Win32Window
| The Win32Window class is a Win32Context that can be used as a top or child window. More...
## Functions
int | choosePixelFormat (const vl::OpenGLContextFormat &fmt, bool verbose=true)
int | messageLoop ()
void | peekMessage (MSG &msg)
void | dispatchUpdate ()
void | translateKeyEvent (WPARAM wParam, LPARAM lParam, unsigned short &unicode_out, vl::EKey &key_out)

## Detailed Description

The Win32 bindings namespace.

## Function Documentation

int vlWin32::choosePixelFormat | ( | const vl::OpenGLContextFormat & | fmt,
|  | bool | verbose = `true` |
| ) |  |  |

int vlWin32::messageLoop | ( |  | ) |

void vlWin32::peekMessage | ( | MSG & | msg | ) |

void vlWin32::dispatchUpdate | ( |  | ) |

void vlWin32::translateKeyEvent | ( | WPARAM | wParam,
|  | LPARAM | lParam,
|  | unsigned short & | unicode_out,
|  | vl::EKey & | key_out |
| ) |  |  |

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:21 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.